DK API 文档

twitter 01

15 个接口

GETfetch check follow

GET https://dkai.store/api/v1/twitter/web/fetch_check_follow

1 积分 / 成功调用

参数位置要求说明
user_namequery必填
followsquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_check_follow?user_name=VALUE&follows=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch check retweet

GET https://dkai.store/api/v1/twitter/web/fetch_check_retweet

1 积分 / 成功调用

参数位置要求说明
screen_namequery必填
tweet_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_check_retweet?screen_name=VALUE&tweet_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch community info

GET https://dkai.store/api/v1/twitter/web/fetch_community_info

1 积分 / 成功调用

参数位置要求说明
community_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_community_info?community_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch community members

GET https://dkai.store/api/v1/twitter/web/fetch_community_members

1 积分 / 成功调用

参数位置要求说明
community_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_community_members?community_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch community timeline

GET https://dkai.store/api/v1/twitter/web/fetch_community_timeline

1 积分 / 成功调用

参数位置要求说明
community_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_community_timeline?community_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch latest post comments

GET https://dkai.store/api/v1/twitter/web/fetch_latest_post_comments

1 积分 / 成功调用

参数位置要求说明
tweet_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_latest_post_comments?tweet_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch list followers

GET https://dkai.store/api/v1/twitter/web/fetch_list_followers

1 积分 / 成功调用

参数位置要求说明
list_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_list_followers?list_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch list members

GET https://dkai.store/api/v1/twitter/web/fetch_list_members

1 积分 / 成功调用

参数位置要求说明
list_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_list_members?list_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch list timeline

GET https://dkai.store/api/v1/twitter/web/fetch_list_timeline

1 积分 / 成功调用

参数位置要求说明
list_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_list_timeline?list_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comments

GET https://dkai.store/api/v1/twitter/web/fetch_post_comments

1 积分 / 成功调用

参数位置要求说明
tweet_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_post_comments?tweet_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch retweet user list

GET https://dkai.store/api/v1/twitter/web/fetch_retweet_user_list

1 积分 / 成功调用

参数位置要求说明
tweet_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_retweet_user_list?tweet_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search communities

GET https://dkai.store/api/v1/twitter/web/fetch_search_communities

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_search_communities?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search timeline

GET https://dkai.store/api/v1/twitter/web/fetch_search_timeline

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_search_timeline?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch tweet detail

GET https://dkai.store/api/v1/twitter/web/fetch_tweet_detail

1 积分 / 成功调用

参数位置要求说明
tweet_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/twitter/web/fetch_tweet_detail?tweet_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。